import { createApp } from "vue";
import Vant from "vant"
import "vant/lib/index.css"


// Vue Router
import { createPinia } from "pinia";
import { router } from "./router";

import { registerStore } from "./store";
import App from "~/App";


// reset css
import "~/styles/main.css";
import "uno.css";

const app = createApp(App);
app.use(Vant);
app.use(createPinia());

registerStore();
app.use(router);
app.mount("#app");
